summaryrefslogtreecommitdiffstats
path: root/Doc/tools/update-docs.sh
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>2000-10-19 05:54:51 (GMT)
committerFred Drake <fdrake@acm.org>2000-10-19 05:54:51 (GMT)
commit692565c9e9360360fbefd2417221aaa4d48a8053 (patch)
treedcf577894f3b62b58f67f0369072a4018edc8e58 /Doc/tools/update-docs.sh
parent63568aa9bb68d86160f0be9c44affd4379571601 (diff)
downloadcpython-692565c9e9360360fbefd2417221aaa4d48a8053.zip
cpython-692565c9e9360360fbefd2417221aaa4d48a8053.tar.gz
cpython-692565c9e9360360fbefd2417221aaa4d48a8053.tar.bz2
Helper scripts used in published the "development" snapshots of the
Python documentation.
Diffstat (limited to 'Doc/tools/update-docs.sh')
-rwxr-xr-xDoc/tools/update-docs.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/Doc/tools/update-docs.sh b/Doc/tools/update-docs.sh
new file mode 100755
index 0000000..53b6fc5
--- /dev/null
+++ b/Doc/tools/update-docs.sh
@@ -0,0 +1,27 @@
+#! /bin/sh
+
+# Script which determines if a new development snapshot of the
+# documentation is available, and unpacks it into the "Python @
+# SourceForge" website.
+#
+# A copy of this script is run periodically via cron.
+
+if [ -z "$HOME" ] ; then
+ HOME=`grep fdrake /etc/passwd | sed 's|^.*:\([^:]*\):[^:]*$|\1|'`
+ export HOME
+fi
+
+UPDATES=/home/users/fdrake/python-docs-update.tar.bz2
+
+if [ -f "$UPDATES" ] ; then
+ cd /home/groups/python/htdocs
+ rm -rf devel-docs || exit $?
+ mkdir devel-docs || exit $?
+ cd devel-docs || exit $?
+ (bzip2 -dc "$UPDATES" | tar xf -) || exit $?
+ rm "$UPDATES" || exit $?
+ Mail -s '[online doc updates]' fdrake@acm.org <<EOF
+Development version of documentation updated:
+http://python.sourceforge.net/devel-docs/
+EOF
+fi